uuid: c7b238e3-f37d-4ca8-ba01-1bc17fa5e763
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_comment_field_instance
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Comment field instance configuration'
source:
  plugin: d7_node_type
  constants:
    entity_type: node
    label: Comments
    required: true
process:
  entity_type:
    -
      plugin: get
      source: constants/entity_type
  label:
    -
      plugin: get
      source: constants/label
  required:
    -
      plugin: get
      source: constants/required
  field_name:
    -
      plugin: migration_lookup
      source: type
      migration: upgrade_d7_comment_type
    -
      plugin: skip_on_empty
      method: row
  bundle:
    -
      plugin: get
      source: type
  default_value/0/status:
    -
      plugin: static_map
      source: comment
      map:
        - 0
        - 1
        - 2
      default_value: 2
  settings/default_mode:
    -
      plugin: static_map
      source: comment_default_mode
      map:
        - 0
        - 1
      default_value: 1
  settings/per_page:
    -
      plugin: default_value
      source: comment_default_per_page
      default_value: 50
  settings/anonymous:
    -
      plugin: default_value
      source: comment_anonymous
      default_value: 0
  settings/form_location:
    -
      plugin: default_value
      source: comment_form_location
      default_value: 0
  settings/preview:
    -
      plugin: static_map
      source: comment_preview
      map:
        - 0
        - 1
        - 2
      default_value: 1
destination:
  plugin: 'entity:field_config'
migration_dependencies:
  required:
    - upgrade_d7_node_type
    - upgrade_d7_comment_field
  optional:
    - upgrade_d7_comment_type
